%define oname rdflib
%define version 3.2.3
%define release %mkrel 3

Summary:	Python library for working with RDF
Name:		python-%{oname}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/r/%{oname}/%{oname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:       python-isodate
URL:		http://code.google.com/p/rdflib/

%description
RDFLib is a Python library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.  If you have recently reported a bug marked as fixed,
or have a craving for the very latest, you may want the development
version instead: http://rdflib.googlecode.com/svn/trunk#egg=rdflib-dev

%prep
%setup -q -n %{oname}-%{version}

%build
%__python setup.py build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} 
%__rm -rf %{buildroot}%{py_platsitedir}/test

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%{python_sitelib}/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 379427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 3.2.3-2.mga3
+ Revision: 338902
- python-isodate is required by python-rdflib

* Sun Dec 23 2012 philippem <philippem> 3.2.3-1.mga3
+ Revision: 334279
- Update to 3.2.3

* Tue Sep 20 2011 lebedov <lebedov> 3.1.0-1.mga2
+ Revision: 146142
- Update to 3.1.0.

* Sat Mar 26 2011 dmorgan <dmorgan> 2.4.2-3.mga1
+ Revision: 77534
- imported package python-rdflib

